Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 112566 - java.lang.AssertionError: Start offset must be before the end offset. startOffset = 617, endOffset = 608
java.lang.AssertionError: Start offset must be before the end offset. startOf...
Status: REOPENED
Product: java
Classification: Unclassified
Component: Hints
6.x
PC Windows Vista
: P4 with 2 votes (vote)
: TBD
Assigned To: Svata Dedic
issues@java
http://statistics.netbeans.org/except...
:
: 112687 112862 115634 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-10 19:41 UTC by belkorin
Modified: 2016-11-13 06:03 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.57 KB, text/plain)
2007-08-28 09:07 UTC, qubicllj
Details
stacktrace (1.57 KB, text/plain)
2007-08-30 22:35 UTC, adedhia
Details
stacktrace (1.57 KB, text/plain)
2007-08-31 01:44 UTC, paulr5930
Details
stacktrace (1.57 KB, text/plain)
2007-08-31 13:02 UTC, Anton Chechel
Details
stacktrace (1.57 KB, text/plain)
2007-08-31 14:12 UTC, proktor
Details
stacktrace (1.57 KB, text/plain)
2007-09-02 14:16 UTC, paulr5930
Details
stacktrace (1.57 KB, text/plain)
2007-09-02 14:17 UTC, paulr5930
Details
bad jsp file (256 bytes, text/plain)
2008-06-25 14:47 UTC, deniss
Details
messages.log (46.32 KB, text/plain)
2008-10-10 23:56 UTC, massimoh
Details
IDE log (148.53 KB, text/x-vhdl)
2010-03-30 14:52 UTC, Tomas Mysik
Details
IDE log (100.92 KB, text/plain)
2013-09-15 21:20 UTC, markiewb
Details
messages log (743.92 KB, text/x-log)
2015-03-08 00:14 UTC, everflux
Details
messages.log (53.95 KB, text/plain)
2015-07-10 15:27 UTC, cezariusz
Details
messages.log (52.71 KB, text/plain)
2015-10-06 06:15 UTC, terje7601
Details
Log file with some names edited (227.50 KB, text/plain)
2016-11-13 06:03 UTC, bht
Details

Note You need to log in before you can comment on or make changes to this bug.
Description belkorin 2007-08-10 19:41:58 UTC
DON'T DELETE THIS TEXT:

Build: NetBeans IDE Dev (Build 200708071200)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Windows XP, 5.1, x86
STACKTRACE: (first 10 lines)
java.lang.AssertionError: Start offset must be before the end offset. startOffset = 617, endOffset = 608
        at org.netbeans.spi.editor.highlighting.support.OffsetsBag.addHighlightImpl(OffsetsBag.java:452)
        at org.netbeans.spi.editor.highlighting.support.OffsetsBag.addHighlight(OffsetsBag.java:137)
        at org.netbeans.modules.editor.hints.AnnotationHolder.computeHighlights(AnnotationHolder.java:694)
        at org.netbeans.modules.editor.hints.AnnotationHolder.updateHighlightsOnLine(AnnotationHolder.java:642)
        at org.netbeans.modules.editor.hints.AnnotationHolder.updateHighlightsOnLine(AnnotationHolder.java:629)
        at org.netbeans.modules.editor.hints.AnnotationHolder.setErrorDescriptionsImpl(AnnotationHolder.java:808)
        at org.netbeans.modules.editor.hints.AnnotationHolder.access$1100(AnnotationHolder.java:83)
        at org.netbeans.modules.editor.hints.AnnotationHolder$4.run(AnnotationHolder.java:721)
        at org.netbeans.editor.BaseDocument.render(BaseDocument.java:1162)
        at org.netbeans.modules.editor.hints.AnnotationHolder.setErrorDescriptions(AnnotationHolder.java:718)
Comment 1 Jiri Prox 2007-08-14 08:22:23 UTC
*** Issue 112687 has been marked as a duplicate of this issue. ***
Comment 2 Jan Becicka 2007-08-20 14:20:12 UTC
*** Issue 112862 has been marked as a duplicate of this issue. ***
Comment 3 Vitezslav Stejskal 2007-08-20 17:36:25 UTC
Any steps to reproduce?
Comment 4 qubicllj 2007-08-28 09:07:14 UTC
Build: NetBeans IDE Dev (Build 200708271200)
VM: Java HotSpot(TM) Client VM, 1.6.0_02-b05
OS: Windows XP, 5.1, x86
User Comments: it hapens when i write a point
Comment 5 qubicllj 2007-08-28 09:07:17 UTC
Created attachment 47567 [details]
stacktrace
Comment 6 adedhia 2007-08-30 22:34:59 UTC
Build: NetBeans IDE Dev (Build 200708201200)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Windows XP, 5.1, x86

User Comments: 
I was trying to autocomplete a class name in a source file
Comment 7 adedhia 2007-08-30 22:35:06 UTC
Created attachment 47837 [details]
stacktrace
Comment 8 paulr5930 2007-08-31 01:44:47 UTC
Build: NetBeans IDE Dev (Build 200708291200)
VM: Java HotSpot(TM) Client VM, 1.6.0_02-b06
OS: Windows XP, 5.1, x86

User Comments: 
Editing - backspacing maybe? I don't remember.
Comment 9 paulr5930 2007-08-31 01:44:53 UTC
Created attachment 47848 [details]
stacktrace
Comment 10 Anton Chechel 2007-08-31 13:02:29 UTC
Build: NetBeans IDE Dev (Build 070828)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105
OS: Windows XP, 5.1, x86

User Comments: 
Just during erditing usual java class in the NetBeans project
Comment 11 Anton Chechel 2007-08-31 13:02:39 UTC
Created attachment 47877 [details]
stacktrace
Comment 12 proktor 2007-08-31 14:12:23 UTC
Build: NetBeans IDE Dev (Build 200708280000)
VM: Java HotSpot(TM) Client VM, 1.6.0_02-b05
OS: Linux, 2.6.22-ck, i386

User Comments: 
Comment 13 proktor 2007-08-31 14:12:26 UTC
Created attachment 47882 [details]
stacktrace
Comment 14 paulr5930 2007-09-02 14:16:23 UTC
Build: NetBeans IDE Dev (Build 200708260000)
VM: Java HotSpot(TM) Client VM, 1.6.0_02-b06
OS: Windows XP, 5.1, x86

User Comments: 
Alt-/ keystroke using Emacs key bindings; it does something like an abbreviation expansion. Sorry, I can't think of the
Netbeans term for it.
Comment 15 paulr5930 2007-09-02 14:16:26 UTC
Created attachment 47939 [details]
stacktrace
Comment 16 paulr5930 2007-09-02 14:17:10 UTC
Build: NetBeans IDE Dev (Build 200708260000)
VM: Java HotSpot(TM) Client VM, 1.6.0_02-b06
OS: Windows XP, 5.1, x86

User Comments: 
Alt-/ keystroke using Emacs key bindings; it does something like an abbreviation expansion. Sorry, I can't think of the
Netbeans term for it.
Comment 17 paulr5930 2007-09-02 14:17:24 UTC
Created attachment 47940 [details]
stacktrace
Comment 18 Vitezslav Stejskal 2007-09-13 11:34:37 UTC
Honzo, could we please fix this somehow? Is it hints or OffsetsBag problem? There has already been about 40 submissions
in this issue and its duplicates and more is coming every day.
Comment 19 Jan Lahoda 2007-09-14 14:48:26 UTC
Not sure where exactly if the problem - I have added a workaround so the exception should not occur anymore and added
some debug outputs (referring to this issue and asking to reopen it with the debug info). Closing for now.

Checking in AnnotationHolder.java;
/cvs/editor/hints/src/org/netbeans/modules/editor/hints/AnnotationHolder.java,v  <--  AnnotationHolder.java
new revision: 1.23; previous revision: 1.22
done
Comment 20 Jan Lahoda 2007-09-16 07:30:04 UTC
*** Issue 115634 has been marked as a duplicate of this issue. ***
Comment 21 Lukas Hasik 2007-10-17 20:16:01 UTC
20071015 b2
WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight computed, please reopen issue #112566
and attach the following output: [6766-6757]=>[6766-6757]
SEVERE
org.netbeans.editor.GuardedException: Attempt to remove from guarded block at position 6,590.
	at org.netbeans.editor.GuardedDocument.preRemoveCheck(GuardedDocument.java:214)
	at org.netbeans.editor.BaseDocument.remove(BaseDocument.java:748)
	at org.netbeans.api.java.source.ModificationResult.commit(ModificationResult.java:152)
Caused: java.io.IOException
	at org.netbeans.api.java.source.ModificationResult.commit(ModificationResult.java:160)
	at org.netbeans.api.java.source.ModificationResult.commit(ModificationResult.java:108)
[catch] at
org.netbeans.modules.java.hints.errors.MagicSurroundWithTryCatchFix.implement(MagicSurroundWithTryCatchFix.java:129)
	at org.netbeans.modules.editor.hints.HintsUI$1.run(HintsUI.java:574)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)


we do track this case as issue 112764
Comment 22 Lukas Hasik 2008-02-27 14:58:50 UTC
Product Version: NetBeans IDE Dev (Build 200802270005)
Java: 1.5.0_14; Java HotSpot(TM) Client VM 1.5.0_14-b03
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)
Userdir: F:\netbeans\userdirs\nb61-0225

WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight computed, please reopen issue #112566
and attach the following output: [12705-12712][12720-12712]=>[12705-12712][12720-12712]
Comment 23 Jan Becicka 2008-02-28 14:37:27 UTC
Many duplicates. Please evaluate.
Comment 24 Jan Lahoda 2008-02-28 16:11:02 UTC
Good news is that the problem is not in the AnnotationHolder - incorrect offsets are in the provided ErrorDescriptions.
I have improved robustness and logging, lets wait for the outcomes.

Anyway, the exception should be suppressed since the first commit.
Comment 25 Jan Lahoda 2008-02-28 17:31:50 UTC
http://hg.netbeans.org/main/rev/1b45461daf79
Comment 26 gholmer 2008-03-17 16:52:05 UTC
I noticed this in my log today:
WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight computed, please reopen issue #112566
and attach the following output: [25810-25773][25810-25773]=>[25810-25773][25810-25773]
WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight computed, please reopen issue #112566
and attach the following output: [25810-25773][25810-25773]=>[25810-25773][25810-25773]
WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight computed, please reopen issue #112566
and attach the following output: [25810-25773][25810-25773]=>[25810-25773][25810-25773]
WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight computed, please reopen issue #112566
and attach the following output: [25810-25773][25810-25773]=>[25810-25773][25810-25773]
Comment 27 Lukas Hasik 2008-03-17 18:56:57 UTC
glen, what build do you use?
Comment 28 Vitezslav Stejskal 2008-06-02 10:13:55 UTC
There are similar exceptions in the log file attached to issue #135664. The log's header says:

  Product Version         = NetBeans IDE Dev (Build 20080520001647)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19; Sun Microsystems Inc.
  Runtime                 = Java(TM) SE Runtime Environment 1.6.0_04-b12
  Java Home               = C:\Soft\java\jdk6u4\jre
  System Locale; Encoding = ru_RU (nb); Cp1251
  ...
Comment 29 deniss 2008-06-25 14:46:19 UTC
INFO [org.netbeans.modules.editor.hints.HintsControllerImpl]: Incorrect span, please attach your messages.log to issue
#112566. start=1, end=0
java.lang.Exception
	at org.netbeans.modules.editor.hints.HintsControllerImpl.checkOffsetsAndLog(HintsControllerImpl.java:241)
	at org.netbeans.modules.editor.hints.HintsControllerImpl.access$000(HintsControllerImpl.java:76)
	at org.netbeans.modules.editor.hints.HintsControllerImpl$1.run(HintsControllerImpl.java:182)
	at org.netbeans.editor.BaseDocument.render(BaseDocument.java:1357)
	at org.netbeans.modules.editor.hints.HintsControllerImpl.linePart(HintsControllerImpl.java:180)
	at org.netbeans.spi.editor.hints.ErrorDescriptionFactory.createErrorDescription(ErrorDescriptionFactory.java:101)
	at org.netbeans.modules.java.hints.infrastructure.ErrorHintsProvider.computeErrors(ErrorHintsProvider.java:172)
	at org.netbeans.modules.java.hints.infrastructure.ErrorHintsProvider.run(ErrorHintsProvider.java:451)
	at org.netbeans.modules.java.hints.infrastructure.ErrorHintsProvider.run(ErrorHintsProvider.java:100)
	at org.netbeans.api.java.source.JavaSource$CompilationJob.run(JavaSource.java:1670)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:885)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
	at java.lang.Thread.run(Thread.java:619)
Comment 30 deniss 2008-06-25 14:47:30 UTC
Created attachment 63427 [details]
bad jsp file
Comment 31 deniss 2008-06-25 14:49:49 UTC
in editor it looks like: style="<bold>"</bold>, probably css bug 
Comment 32 deniss 2008-06-25 14:51:09 UTC
sorry I forgot to post a version:

Product Version: NetBeans IDE Dev (Build 200806240008)
Java: 1.6.0_06; Java HotSpot(TM) Client VM 10.0-b22
System: Linux version 2.6.24-17-generic running on i386; UTF-8; cs_CZ (nb)
Comment 33 massimoh 2008-10-10 23:56:45 UTC
Created attachment 71587 [details]
messages.log
Comment 34 roti 2009-11-27 04:27:29 UTC
my error in log:

WARNING [org.netbeans.modules.editor.impl.KitsTrackerImpl]: Ambiguous mime types for editor kit implementation class: class org.netbeans.modules.web.core.syn
tax.JspKit; mime types: [text/x-jsp, text/x-tag]
WARNING [org.openide.awt.HtmlRenderer]: Malformed or unsupported HTML
WARNING [org.openide.awt.HtmlRenderer]:   <error> : <font color=#707070><any></font>
WARNING [org.openide.awt.HtmlRenderer]:                                 ^
WARNING [org.openide.awt.HtmlRenderer]:  Full HTML string:<error> : <font color=#707070><any></font>
Incorrect highlight in ErrorDescription, attach your messages.log to issue #112566: 40:67-40:65:error:cannot find symbol
  symbol:   variable g
  location: class hu.breonawildom.fkf.desktop.controller.DesktopControllerWARNING [global]: HtmlCaretAwareSourceTask.run() called with null SchedulerEvent ar
gument.
WARNING [global]: HtmlCaretAwareSourceTask.run() called with null SchedulerEvent argument.
WARNING [org.netbeans.modules.editor.bracesmatching.MasterMatcher]: Origin offsets out of range, origin = [10152, 10154], caretOffset = 7000, lookahead = 1,
searching backwards. Offending BracesMatcher: org.netbeans.modules.web.core.syntax.JspBracesMatching@70ff3445
WARNING [org.netbeans.modules.editor.bracesmatching.MasterMatcher]: Origin offsets out of range, origin = [6890, 6899], caretOffset = 6998, lookahead = 2, se
arching forward. Offending BracesMatcher: org.netbeans.modules.html.editor.HtmlBracesMatching@3742dc4
WARNING [org.netbeans.modules.editor.bracesmatching.MasterMatcher]: Origin offsets out of range, origin = [6890, 6899], caretOffset = 6994, lookahead = 1, se
arching forward. Offending BracesMatcher: org.netbeans.modules.html.editor.HtmlBracesMatching@47a58f31
WARNING [org.netbeans.modules.editor.bracesmatching.MasterMatcher]: Origin offsets out of range, origin = [10198, 10207], caretOffset = 10305, lookahead = 2,
 searching forward. Offending BracesMatcher: org.netbeans.modules.html.editor.HtmlBracesMatching@58bce27b
no schema parent for id of type=xs:string
no schema parent for id of type=xs:string
Comment 35 roti 2009-11-27 05:03:38 UTC
my system:

Product Version: NetBeans IDE 6.7 (Build 200906241340)
Java: 1.6.0_15; Java HotSpot(TM) 64-Bit Server VM 14.1-b02
System: Linux version 2.6.31-15-generic running on amd64; UTF-8; hu_HU (nb)
Comment 36 Tomas Mysik 2010-03-30 14:52:36 UTC
Created attachment 96356 [details]
IDE log

BTW you will notice "Not enough memory to compile folder: /home/gapon/worx/sun/nb-main/php.zend/src" at the end of the log - ignore it, it is another issue.

Thanks.
Comment 37 markiewb 2013-09-15 21:20:08 UTC
Created attachment 140106 [details]
IDE log

Several warnings in the log

WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight in ErrorDescription, attach your messages.log to issue #112566: 282:53-282:43:verifier:Invert If
WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight in ErrorDescription, attach your messages.log to issue #112566: 282:53-282:43:verifier:Invert If
WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight in ErrorDescription, attach your messages.log to issue #112566: 282:51-282:43:verifier:Invert If
WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight in ErrorDescription, attach your messages.log to issue #112566: 282:51-282:43:verifier:Invert If
WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight in ErrorDescription, attach your messages.log to issue #112566: 283:53-283:43:verifier:Invert If
WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight in ErrorDescription, attach your messages.log to issue #112566: 283:53-283:43:verifier:Invert If

Product Version: NetBeans IDE 7.4 RC1 (Build 201309112301)
Java: 1.7.0_40; Java HotSpot(TM) 64-Bit Server VM 24.0-b56
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-b43
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
Comment 38 everflux 2015-03-08 00:12:50 UTC
Product Version: NetBeans IDE Dev (Build 201503060001)
Java: 1.8.0_40; Java HotSpot(TM) 64-Bit Server VM 25.40-b25
Runtime: Java(TM) SE Runtime Environment 1.8.0_40-b25
System: Linux version 3.16.0-31-generic running on amd64; UTF-8; en_US (nb)

Several warnings in log, asked to attach the messages here.

WARNING [org.netbeans.modules.editor.hints.AnnotationHolder]: Incorrect highlight in ErrorDescription, attach your messages.log to issue #112566: 231:20-231:17:verifi
Comment 39 everflux 2015-03-08 00:14:42 UTC
Created attachment 152471 [details]
messages log
Comment 40 cezariusz 2015-07-10 15:27:43 UTC
Created attachment 154567 [details]
messages.log

INFO [org.netbeans.api.java.source.ElementHandle]: Resolved type is null for kind = CLASS
INFO [org.netbeans.api.java.source.ElementHandle]: Cannot resolve: ElementHandle[kind=CLASS; sigs=java.util.Collections$UnmodifiableList$1 ]
INFO [org.netbeans.api.java.source.ElementHandle]: Resolved type is null for kind = CLASS
INFO [org.netbeans.api.java.source.ElementHandle]: Cannot resolve: ElementHandle[kind=CLASS; sigs=com.sun.org.apache.xerces.internal.impl.xs.util.XSObjectListImpl$1 ]
INFO [org.netbeans.api.java.source.ElementHandle]: Resolved type is null for kind = CLASS
INFO [org.netbeans.api.java.source.ElementHandle]: Cannot resolve: ElementHandle[kind=CLASS; sigs=java.util.SubList$1 ]
INFO [org.netbeans.api.java.source.ElementHandle]: Resolved type is null for kind = CLASS
INFO [org.netbeans.api.java.source.ElementHandle]: Cannot resolve: ElementHandle[kind=CLASS; sigs=java.util.Collections$CheckedList$1 ]
INFO [org.netbeans.api.java.source.ElementHandle]: Resolved type is null for kind = CLASS
INFO [org.netbeans.api.java.source.ElementHandle]: Cannot resolve: ElementHandle[kind=CLASS; sigs=java.util.ArrayList$SubList$1 ]
INFO [org.netbeans.api.java.source.ElementHandle]: Resolved type is null for kind = CLASS
INFO [org.netbeans.api.java.source.ElementHandle]: Cannot resolve: ElementHandle[kind=CLASS; sigs=sun.nio.ch.Util$2 ]
INFO [org.netbeans.api.java.source.ElementHandle]: Resolved type is null for kind = CLASS
INFO [org.netbeans.api.java.source.ElementHandle]: Cannot resolve: ElementHandle[kind=CLASS; sigs=sun.tools.jar.Main$1 ]
INFO [org.netbeans.modules.parsing.impl.TaskProcessor]: Task: CancelableTaskWrapper[task: org.netbeans.modules.java.hints.infrastructure.LazyHintComputation@79a73630, phase: RESOLVED, priority: 500] : class org.netbeans.modules.java.source.JavaSourceAccessor$CancelableTaskWrapper ignored cancel for 593 ms.
Incorrect highlight in ErrorDescription, attach your messages.log to issue #112566: 139:48-139:38:error:cannot find symbol
  symbol: variable getListaSAPIdlistaSAPId
Comment 41 terje7601 2015-10-06 06:15:15 UTC
Created attachment 156537 [details]
messages.log

Product Version: NetBeans IDE Dev (Build 201509130002)
Updates: Updates available
Java: 1.8.0_60; Java HotSpot(TM) 64-Bit Server VM 25.60-b23
Runtime: Java(TM) SE Runtime Environment 1.8.0_60-b27
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
Comment 42 bht 2016-11-13 06:03:43 UTC
Created attachment 162895 [details]
Log file with some names edited

Java editing, See also bug 251000


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo